#
# spec file for package libirman
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define lib_name %{name}0
Name:           libirman
Version:        0.5.0
Release:        3.1
Summary:        Library for irman access
License:        GPL-2.0+
Group:          System/Libraries
Url:            http://www.lirc.org
Source0:        http://sourceforge.net/projects/lirc/files/libirman/%{version}/libirman-%{version}.tar.gz
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Libraries and tools for irman access from lirc project

%package -n %{lib_name}
Summary:        Library for irman access
License:        LGPL-2.0+
Group:          System/Libraries

%description -n %{lib_name}
Library for irman access from lirc project

%package utils
Summary:        Library for irman access
License:        GPL-2.0+
Group:          Hardware/Other

%description utils
Utilities from %{name} from lirc project

%package devel
Summary:        Development files for %{name}
License:        GPL-2.0+
Group:          Development/Libraries
Requires:       %{lib_name} = %{version}-%{release}

%description devel
Devel files for %{name} from lirc project

%prep
%setup -q

%build
%configure \
  --disable-static
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
find %{buildroot} -type f -name "*.la" -delete -print
rm -rf %{buildroot}%{_datadir}

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files utils
%doc COPYING
%{_bindir}/workmanir
%{_bindir}/irman.*

%files -n %{lib_name}
%doc COPYING.lib
%defattr(-,root,root,-)
%config %{_sysconfdir}/irman.conf
%{_libdir}/*.so.*

%files devel
%doc COPYING COPYING.lib NEWS README
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*.h

%changelog
* Sat Oct 24 2015 mpluskal@suse.com
- Update to 0.5.0
  * Always build the irman.test* tools.
  * If compiled with lirc > 0.9.3, builds the irman lirc plugin
  (i. e., driver).
  * Add ChangeLog, AUTHORS + INSTALL to make package GNU-compatible
  * Using a GNU make extension $(shell ...).
* Mon Sep  7 2015 p.drouand@gmail.com
- Update to version 0.4.6
  * Refreshing automake files and installation
  * Add a pkgconfig file
- Remove obsolete dependencies
  * autoconf
  * automake
  * libtool
- Add a dependency to pkg-config
* Tue Aug 18 2015 mpluskal@suse.com
- Update license
* Mon Aug 17 2015 mpluskal@suse.com
- Initial package for version 0.4.5 (based on
  home:wolfi323:irman/libirman)
